Skip to main content
GET
/
cleemy-procurement
/
api
/
documents
/
{id}
Get Document
curl --request GET \
  --url https://{host}/cleemy-procurement/api/documents/{id} \
  --header 'Authorization: <authorization>'
{
  "id": 123,
  "owner": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "type": "Invoice",
  "context": {
    "purchase": {
      "id": 123,
      "href": "<string>",
      "name": "<string>",
      "type": "Subscription"
    }
  },
  "documentBreakdown": {
    "id": 2,
    "href": "<string>",
    "name": "<string>"
  },
  "documentDate": "2023-12-25",
  "documentNumber": "<string>",
  "amountIncludingTaxes": {
    "excludingTaxes": {
      "value": 123,
      "currency": "Invalid"
    },
    "taxes": [
      {
        "rateTypeId": 123,
        "value": 123,
        "currency": "Invalid"
      }
    ],
    "includingTaxes": {
      "value": 123,
      "currency": "Invalid"
    }
  },
  "accountingLabel": "<string>",
  "comment": "<string>",
  "intraCommunityTaxes": true,
  "attachments": [
    {
      "id": 123,
      "file": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "href": "<string>",
        "name": "<string>",
        "displayHref": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "pages": {
        "displayHrefTemplate": "<string>",
        "count": 123
      }
    }
  ],
  "ocrStatus": "Pending",
  "dueDate": "2023-12-25",
  "paymentDetails": {
    "paymentMethod": "BankTransfer",
    "bankAccount": {
      "iban": "<string>",
      "bic": "<string>"
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "modifier": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the document.

Response

200 - application/json

OK

An invoice document (before booking).

id
integer<int32>
owner
Reference to a user · object

Reference to a user.

type
enum<string>

Type of document: Invoice or CreditNote.

Available options:
Invoice,
CreditNote
context
object

Context data for the document.

documentBreakdown
Reference to a document-breakdown. · object
documentDate
string<date> | null
documentNumber
string | null
amountIncludingTaxes
taxed-amount · object

Represents an amount of money with VAT taxes.

accountingLabel
string | null
comment
string | null
intraCommunityTaxes
boolean
attachments
attachment · object[]
ocrStatus
enum<string>

Status of OCR processing.

Available options:
Pending,
Processing,
Processed,
Failed,
NotApplicable
dueDate
string<date> | null
paymentDetails
object
createdAt
string<date-time>
modifiedAt
string<date-time>
author
Reference to a user · object

Reference to a user.

modifier
Reference to a user · object

Reference to a user.